100 REM THIS PROGRAM APPROXIMATES COAX CABLE LOSS AT FREQUENCIES BETWEEN THOSE
110 REM FOUND ON THE DATA SHEETS.  EQUATIONS ARE TAKEN FROM FORREST
120 REM GEHRKE, K2BT: "REAL COAX: IMPEDANCE AND PHASE RELATIONSHIPS,"
130 REM ham radio MAGAZINE, APRIL 1987
140 REM EQUATION 7 IS PRINTED WRONG; "F1" SHOULD BE "F2"
150 REM PROGRAM BY D. MCGARRETT, 8 APRIL 1987
160 CLS
170 PRINT"PROGRAM TO FIND APPROXIMATE COAX CABLE LOSS BETWEEN SPECIFIED FREQUENCIES"
180 PRINT
190 PRINT"ENTER FREQUENCIES IN MHz AND LOSSES IN dB/100 FT"
200 PRINT
210 PRINT"INPUT DESIRED OPERATING FREQUENCY "
220 INPUT F0
230 PRINT"INPUT LENGTH OF YOUR CABLE IN FEET"
240 INPUT FT
250 PRINT "INPUT FREQUENCY 1, AND LOSS 1"
260 INPUT F1,L1
270 PRINT "INPUT FREQUENCY 2, AND LOSS 2"
280 INPUT F2,L2
290 M=(L1*F2-L2*F1)/(F2*SQR(F1)-F1*SQR(F2))
300 N=(L2-M*SQR(F2))/F2
310 L3=M*SQR(F0)+N*F0
320 L3=INT(L3*100+.5)/100
330 L4=(FT/100)*L3
340 PRINT
350 PRINT "CABLE LOSS AT "F0" MHz IS "L3 "dB PER 100 FEET."
360 L4=(FT/100)*L3
370 L4=INT(L4*100+.5)/100
380 PRINT
390 PRINT "LOSS FOR "FT "FEET IS "L4 "dB"
400 PRINT
410 END
