10 'THIS PROGRAM WILL CALC. COUPLING AND IMPEDANCES FOR UNEQUAL SPLIT
20 'IN-LINEPOWER DIVIDERS.
30 '******* CALCULATION OF P(A),P(B),AND K *******
50 CLS
60 PRINT "ENTER KNOWN COUPLING,P(A),IN DB FOR ONE ARM OF THE DIVIDER."
70 INPUT "P(A)=";PA
80 PAR=10^(-ABS(PA)/10)
90 PBR=1-PAR
100 PB=10*LOG(PBR)/LOG(10)
110 K=SQR(PBR/PAR)
120 PRINT:PRINT
130 PRINT "P(A)=";-ABS(PA);"DB"
140 PRINT "P(B)=";PB;"DB"
150 PRINT "K=";K
160 PRINT:PRINT
170 INPUT "DO YOU WANT TO CHANGE COUPLING,Y/N";R$
180 IF INSTR(1,"Yy",LEFT$(R$,1))<>0 THEN 50
190 '******* DATA ENTRY *******
200 PRINT:PRINT
210 INPUT "ENTER CHARACTERISTIC IMPEDANCE,Z0,IN OHMS";Z0
220 INPUT "ENTER CENTER FREQUENCY,F0,IN GHZ";F0
230 INPUT "ENTER RELATIVE DIELECTRIC CONSTANT,ER";ER
240 QW=11.803/(F0*SQR(ER)*4)
250 PRINT:PRINT
260 '******* SELECTION OF UNCOMPENSATED OR COMPENSATED DIVIDER *******
270 INPUT "DO YOU WANT 1)UNCOMPENSATED OR 2)COMPENSATED DIVIDER, ENTER 1 OR 2";R
280 PRINT:PRINT
290 ON R GOTO 310,390
300 '******* UNCOMPENSATED DIVIDER *******
310 PRINT "Z2=";Z0*SQR(K*(1+K^2));"OHMS"
320 PRINT "Z3=";Z0*SQR((1+K^2)/(K^3));"OHMS"
330 PRINT "Z4=";Z0*SQR(K);"OHMS"
340 PRINT "Z5=";Z0/SQR(K);"OHMS"
350 PRINT " R=";Z0*(1+K^2)/K;"OHMS"
360 PRINT "1/4 WAVELENGTH AT";F0;"GHZ=";QW;"INCHES"
370 GOTO 460
380 '******* COMPENSATED DIVIDER *******
390 PRINT "Z1=";Z0*(K/(1+K^2))^(1/4);"OHMS"
400 PRINT "Z2=";Z0*(K^(3/4)*(1+K^2)^(1/4));"OHMS"
410 PRINT "Z3=";Z0*((1+K^2)^(1/4)/(K^(5/4)));"OHMS"
420 PRINT "Z4=";Z0*SQR(K);"OHMS"
430 PRINT "Z5=";Z0/SQR(K);"OHMS"
440 PRINT " R=";Z0*((1+K^2)/K);"OHMS"
450 PRINT "1/4 WAVELINGTH AT";F0;"GHZ=";QW;"INCHES"
460 END
