10 REM 50 OHM STRIPLINE COUPLER PROGRAM ADAPTED FROM D.MCGARRETT AND
20 REM HARLAN HOWE BY MARC CHOMET 11/06/81
30 PRINT "STRIPLINE COUPLER DESIGN AID"
40 PRINT
50 INPUT"DESIRED COUPLING FACTOR (IN DB)? ",C
60 INPUT"DIELECTRIC CONSTANT ? ",E
70 INPUT"TOTAL HEIGHT (B) IN INCHES ? ",B
80 INPUT" CENTER FREQUENCY IN MHZ ? ",F
90 C0=10^(-C/20)
100 PI=3.1415926#
110 Q=(-188.3*PI*C0)/(SQR(E)*50*SQR(1-(C0^2)))
120 W=B*((94.15/(50*SQR(E)))*(SQR((1-C0)/(1+C0)))-((1/PI)*LOG(2*(1+EXP(Q)))))
130 A=(94.15*PI*C0)/(SQR(E)*50*SQR(1-C0^2))
140 D=(1+EXP(-2*A))/(1-EXP(-2*A))
150 S=B*((1/PI)*LOG(D))
160 L=((11800/F)/SQR(E))/4
170 J=S/B : K=W/B
180 PRINT"STRIPLINE COUPLER, ";B;"INCHES HEIGHT WITH ";C;"DB AT ";F;"MHZ ON";E;"DIELECTRIC"
190 W1=B*((94.15/(SQR(E)*50))-(LOG(4)/PI))
200 PRINT : PRINT"50 OHM LINE WIDTH IS ";W1;" INCHES"
210 PRINT"SPACING, S, IS    ";S;" INCHES"
220 PRINT"LINE WIDTH IN COUPLED SECTION IS ";W;" INCHES"
230 PRINT"COUPLED LINE LENGTH IS ";L;" INCHES"
240 PRINT"S/B EQUALS ";J
250 PRINT"W/B EQUALS ";K
260 END
IS ";W;" INCHES"
230 PRINT"COUPLED LINE LENGTH IS ";L;" INCHES"
240 PRINT"S/B EQUALS ";J
250 PRINT